Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.config
Class CIBExternalResourceConfigurationImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
          com.sun.mfwk.cib.sdk.config.CIBExternalResourceConfigurationImpl

All Implemented Interfaces:
  CIBConfiguration, CIBExternalResourceConfiguration, CIBProvider

public class CIBExternalResourceConfigurationImpl
extends CIBConfigurationImpl
implements CIBExternalResourceConfiguration

Provides a default implementation for an External Resource Configuration provider. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary
`static java.lang.String` | `configType`

Fields inherited from class com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
`myConnection, myType`

Constructor Summary
`CIBExternalResourceConfigurationImpl(javax.management.MBeanServerConnection connection, java.util.Map map)` Constructor
`CIBExternalResourceConfigurationImpl(javax.management.MBeanServerConnection connection, javax.management.ObjectName name)` Constructor
`CIBExternalResourceConfigurationImpl(javax.management.MBeanServerConnection connection, java.lang.String name)` Constructor

Method Summary
`java.lang.String` | `getProviderUri()` Returns the provider Uri of the external resource

Methods inherited from class com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
`destroy, getAttribute, getType, init, start, stop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.config.CIBConfiguration
`getType`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Field Detail

### configType

    public static java.lang.String configType

Constructor Detail

### CIBExternalResourceConfigurationImpl

    public CIBExternalResourceConfigurationImpl(javax.management.MBeanServerConnection connection,
                                                java.util.Map map)

  Constructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

### CIBExternalResourceConfigurationImpl

    public CIBExternalResourceConfigurationImpl(javax.management.MBeanServerConnection connection,
                                                java.lang.String name)
                                         throws javax.management.MalformedObjectNameException

  Constructor

Parameters:
  `connection` - MBeanServerConnection
  `name` - String
Throws:
  `javax.management.MalformedObjectNameException`

### CIBExternalResourceConfigurationImpl

    public CIBExternalResourceConfigurationImpl(javax.management.MBeanServerConnection connection,
                                                javax.management.ObjectName name)
                                         throws javax.management.MalformedObjectNameException

  Constructor

Parameters:
  `connection` - MBeanServerConnection
  `name` - ObjectName
Throws:
  `javax.management.MalformedObjectNameException`

Method Detail

### getProviderUri

    public java.lang.String getProviderUri()
                                    throws CIBIOException,
                                           CIBAttributeNotFoundException

  Returns the provider Uri of the external resource

  Specified by:
    `getProviderUri` in interface `CIBExternalResourceConfiguration`
  Returns:
    String
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD